Attendez Janvier pour la mise à jour de Wordpress 5 Gutenberg

Attendez avant de mettre à jour WordPress 5.0

WordPress 5.0 (alias la version Gutenberg) sort demain 6 décembre. Nous vous recommandons vivement de reporter cette mise à jour sur vos sites de production au mois de janvier 2019.

Quoi de neuf avec WordPress 5.0 ?

Le principal (et énorme) changement dans WordPress 5.0 est l’éditeur. Au lieu de TinyMCE, on a Gutenberg. Jusqu’à présent, Gutenberg était un plugin (comme je suis en train d’écrire ce post, il l’est toujours). Cependant, il est en train d’être fusionné dans WordPress 5.0.

Une fois que vous passez à WordPress 5.0, l’éditeur que vous utilisez actuellement sera retiré et complètement remplacé par le nouvel éditeur Gutenberg.

Intéressant Gutenberg ?

A long terme, nous sommes sûrs que WordPress et tous ceux qui l’utiliseront bénéficieront grandement de ce nouvel éditeur. Cependant, au cours des prochaines semaines, et surtout lorsqu’il s’agit de sites existants, les inconvénients sont plus importants que les avantages.

Gutenberg est certainement un nouvel éditeur cool, mais c’est tout nouveau pour WordPress. Cela signifie que beaucoup de choses (fonctionnalités, thème, plugins…) peuvent être cassées ou incompatibles au lancement.

L'interface Gutenberg dans wordpress 5
L’interface Gutenberg dans wordpress 5

Utilisateurs de WPML méfiez-vous !

Nous avons testé et mis à jour WPML pour la compatibilité avec Gutenberg ces derniers mois. Chaque fois qu’une version bêta ou release candidate (RC) de WordPress est sortie, nous avons tout re-testé et apporté les modifications nécessaires pour être compatibles.

Malheureusement, Gutenberg n’est pas encore assez stable pour une intégration complète avec WPML.

Puisque les versions de test de WordPress évoluent constamment, et que la version officielle sort demain (6 décembre), il y a une chance que de nouveaux problèmes de compatibilité apparaissent dès la sortie. Par la suite, le risque ne diminuera que peu : avec la prochaine version 5.0 de WordPress et avec chaque mise à jour 5.x ultérieure, nous pourrions trouver de nouvelles incompatibilités.

ACF compatible avec wordpress 5 ?

Pour voir ce que concocte ACF pour sa compatibilité avec WordPress 5 Gutenberg, vous ouvez lire cet article : https://www.advancedcustomfields.com/blog/the-state-of-acf-in-a-gutenberg-world/. ACF compatible avec wordpress 5 ? ACF a choisi de lancer une nouvelle façon de gérer les champs et a inventé les BLOCS. Plus orienté JS que PHP, ces blocs pourront être utilisés avec Gutenberg.

Les bugs connnus avec WPML et Gutenberg

En ce moment, WPML est confronté à plusieurs problèmes qui ne fonctionneront pas tant qu’ils ne seront pas traités dans WordPress directement :

  • Les traductions des blocs réutilisables Gutenberg ne sont pas affichées.
  • Gutenberg Derniers messages affiche les messages dans toutes les langues
  • Les blocs de Gutenberg créés avec ACF 5.8 ne sont pas traduisibles.

WPML dispose d’une grande équipe de développement, ce qui leur permet de suivre ces changements rapides. Tous les plugins et thèmes n’ont pas cette capacité, donc cela peut prendre un peu plus de temps pour s’adapter à Gutenberg.

Quand faire la mise à jour vers wordpress 5.x ?

Décembre est la période des Fêtes pour presque tout le monde. À moins que vous soyez en manque d’adrénaline, il ne sert à rien de faire une mise à jour majeure en ce moment.

Nous mettrons à jour nos sites de production vers WordPress 5.0 en janvier, en supposant qu’à partir d’aujourd’hui et jusqu’en janvier, nous ne verrons qu’une seule version de WordPress et que tout se passera bien. C’est la première fois depuis notre lancement que nous reportons la mise à jour de nos sites de production vers de nouvelles versions de WordPress.

Attendez avant de mettre à jour WordPress 5.0
5/5 sur 5 votes

Laisser un commentaire

X

Votre audit SEO en 60 secondes !

Entrer l'URL du site pour obtenir votre audit SEO détaillé